- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 0d489728-7875-43bc-8f88-a2f846b17235
    creation_time: 2023-02-17T12:07:41.745376Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound1.c: eeab39c4b0b140806b3ddcf9e96fb8e36f66c5baac57da41aaf4e88167e6b080
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound1.c
    file_hash: eeab39c4b0b140806b3ddcf9e96fb8e36f66c5baac57da41aaf4e88167e6b080
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: y*y-2*x+y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 03bfda08-8ce9-45b3-9d28-71bb0074dc94
    creation_time: 2023-02-17T12:07:41.745659Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound1.c: eeab39c4b0b140806b3ddcf9e96fb8e36f66c5baac57da41aaf4e88167e6b080
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound1.c
    file_hash: eeab39c4b0b140806b3ddcf9e96fb8e36f66c5baac57da41aaf4e88167e6b080
    line: 28
    column: 0
    function: main
  location_invariant:
    string:  ( y*y ) -2*x+y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5cb8753e-f621-49ed-9f5e-e5cb9f017f8c
    creation_time: 2023-02-17T12:07:41.745759Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_unwindbound1.c: eeab39c4b0b140806b3ddcf9e96fb8e36f66c5baac57da41aaf4e88167e6b080
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_unwindbound1.c
    file_hash: eeab39c4b0b140806b3ddcf9e96fb8e36f66c5baac57da41aaf4e88167e6b080
    line: 37
    column: 0
    function: main
  location_invariant:
    string:  ( y*y ) -2*x+y == 0
    type: assertion
    format: C

